Bug 19801 - Display messages on user details page as well as on check out page
Summary: Display messages on user details page as well as on check out page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Liz Rea
QA Contact: Alex Arnaud
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-12 18:24 UTC by Patrick Robitaille
Modified: 2018-02-16 19:24 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19801 - Display messages on user details page as well as on Check Out page (5.94 KB, patch)
2017-12-13 02:18 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 19801 - Display messages on user details page as well as on Check Out page (5.99 KB, patch)
2017-12-14 10:46 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19801 - Fixes for QA (4.94 KB, patch)
2018-01-02 21:44 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 18915: Giving CHECKOUT_NOTE access to issues table (1.01 KB, patch)
2018-01-09 14:33 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 18915: Renaming svc/patron_notes to svc/checkout_notes (1.71 KB, patch)
2018-01-09 14:33 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 19801 - Display messages on user details page as well as on Check Out page (6.06 KB, patch)
2018-01-10 14:02 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 19801 - Fixes for QA (5.00 KB, patch)
2018-01-10 14:02 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 7143: Update about page for new dev - Jenny Way (1.79 KB, patch)
2018-02-07 16:05 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 19801 - Display messages on user details page as well as on Check Out page (6.11 KB, patch)
2018-02-07 16:07 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 19801 - Fixes for QA (5.05 KB, patch)
2018-02-07 16:07 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 19801 - Display messages on user details page as well as on Check Out page (6.22 KB, patch)
2018-02-09 08:07 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Robitaille 2017-12-12 18:24:09 UTC
Hi,

When a user have a internal note in his account, this note is visible when we consult the user's informations in the "check-out" page.We see this note too when we do a chechk-out for this user in the circulation page. It would be great to see this note too in the user "details" page in his account. 

Patrick.
Comment 1 Liz Rea 2017-12-13 02:18:43 UTC
Created attachment 69758 [details] [review]
Bug 19801 - Display messages on user details page as well as on Check Out page

To test:

Look up a borrower, add a message (internal or opac)
Click the Details tab for that borrower
Messages should be displayed above the user information [is this the right place? it could go below]
adding messages on this page should make them immediately available
deleting messages on this page should delete them immediately and bring you back to the detail page.

Basically, make sure messages work from both the Check out and detail pages and that there are no typos.

Messages should work the same as they always have from the Check Out page.

sponsored-by: Catalyst IT
Comment 2 Simon Pouchol 2017-12-14 10:46:20 UTC
Created attachment 69798 [details] [review]
Bug 19801 - Display messages on user details page as well as on Check Out page

To test:

Look up a borrower, add a message (internal or opac)
Click the Details tab for that borrower
Messages should be displayed above the user information [is this the right place? it could go below]
adding messages on this page should make them immediately available
deleting messages on this page should delete them immediately and bring you back to the detail page.

Basically, make sure messages work from both the Check out and detail pages and that there are no typos.

Messages should work the same as they always have from the Check Out page.

sponsored-by: Catalyst IT
Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>
Comment 3 Alex Arnaud 2017-12-21 12:02:29 UTC
QA comments:

Please fix indentation (moremember.pl lines 341 342 and 343)

if ( $input->param('from') == "moremember" )
# Always true. Use eq instead of ==
# This cause deleting a message from checkout page redirects to moremembers.pl
Comment 4 Jonathan Druart 2017-12-21 13:23:00 UTC
A quick note: we usually use the "messages" TT variables for warning or information messages to display on the screen.
Maybe it would be good to rename it ("patron_messages"?) to avoid confusion later.
Comment 5 Liz Rea 2018-01-02 21:44:26 UTC
Created attachment 70239 [details] [review]
Bug 19801 - Fixes for QA

- Fixes indentation
- changes messages to patron_messages (even though it's not like that on the circulation page.)
Comment 6 sandboxes@biblibre.com 2018-01-09 14:33:12 UTC
Patch tested with a sandbox, by Marjorie Barry-Vila <marjorie.barry-vila@collecto.ca>
Comment 7 sandboxes@biblibre.com 2018-01-09 14:33:43 UTC
Created attachment 70362 [details] [review]
Bug 18915: Giving CHECKOUT_NOTE access to issues table

This patch allows the notice to reference the issues table so that the
checkout note itself can be added to the note if wanted, such as in
Comment 9.

Sponsored-by: Catalyst IT

Signed-off-by: Marjorie Barry-Vila <marjorie.barry-vila@collecto.ca>
Comment 8 sandboxes@biblibre.com 2018-01-09 14:33:46 UTC
Created attachment 70363 [details] [review]
Bug 18915: Renaming svc/patron_notes to svc/checkout_notes

For consistency.

Signed-off-by: Marjorie Barry-Vila <marjorie.barry-vila@collecto.ca>
Comment 9 Alex Arnaud 2018-01-09 16:39:06 UTC
I removed the 2 previous patches. Sent to the wrong BZ
Comment 10 sandboxes@biblibre.com 2018-01-10 14:02:11 UTC
Patch tested with a sandbox, by Marjorie Vila <marjorie.barry-vila@collecto.ca>
Comment 11 sandboxes@biblibre.com 2018-01-10 14:02:41 UTC Comment hidden (obsolete)
Comment 12 sandboxes@biblibre.com 2018-01-10 14:02:44 UTC Comment hidden (obsolete)
Comment 13 Alex Arnaud 2018-02-07 16:05:46 UTC Comment hidden (obsolete)
Comment 14 Alex Arnaud 2018-02-07 16:07:51 UTC
Created attachment 71287 [details] [review]
Bug 19801 - Display messages on user details page as well as on Check Out page

To test:

Look up a borrower, add a message (internal or opac)
Click the Details tab for that borrower
Messages should be displayed above the user information [is this the right place? it could go below]
adding messages on this page should make them immediately available
deleting messages on this page should delete them immediately and bring you back to the detail page.

Basically, make sure messages work from both the Check out and detail pages and that there are no typos.

Messages should work the same as they always have from the Check Out page.

sponsored-by: Catalyst IT
Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Marjorie Vila <marjorie.barry-vila@collecto.ca>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 15 Alex Arnaud 2018-02-07 16:07:57 UTC
Created attachment 71288 [details] [review]
Bug 19801 - Fixes for QA

- Fixes indentation
- changes messages to patron_messages (even though it's not like that on the circulation page.)

Signed-off-by: Marjorie Vila <marjorie.barry-vila@collecto.ca>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 16 Katrin Fischer 2018-02-07 18:43:05 UTC
Changing title for release notes to match patch description!
Comment 17 Jonathan Druart 2018-02-08 18:08:50 UTC
I will accept the use of onclick here because it mimics what is done in another template, but keep in mind it is not allowed usually.

Both patches will be squashed for readability.
Comment 18 Alex Arnaud 2018-02-09 08:07:47 UTC
Created attachment 71365 [details] [review]
Bug 19801 - Display messages on user details page as well as on Check Out page

To test:

Look up a borrower, add a message (internal or opac)
Click the Details tab for that borrower
Messages should be displayed above the user information [is this the right place? it could go below]
adding messages on this page should make them immediately available
deleting messages on this page should delete them immediately and bring you back to the detail page.

Basically, make sure messages work from both the Check out and detail pages and that there are no typos.

Messages should work the same as they always have from the Check Out page.

sponsored-by: Catalyst IT
Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Marjorie Vila <marjorie.barry-vila@collecto.ca>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 19 Alex Arnaud 2018-02-09 08:08:30 UTC
Patches squashed
Comment 20 Jonathan Druart 2018-02-09 17:09:04 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 21 Jonathan Druart 2018-02-15 18:44:18 UTC
Hum, the layout looks wrong:
https://screenshots.firefox.com/eZXcYk7RiZAjbsPQ/pro.kohadev.org

I do not think the messages should be displayed on top of the patron's info.

Moreover the "delete" link is missing.
Comment 22 Nick Clemens 2018-02-16 01:37:38 UTC
Awesome work all! Enhancement, not backported to stable.